v_hdmitx: xv_hdmitx_intr.c File Reference

| v_hdmitx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
xv_hdmitx_intr.c File Reference

## Overview

This file contains interrupt related functions for Xilinx HDMI TX core.

Please see xv_hdmitx.h for more details of the driver.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00         10/07/15 Initial release.
    1.1   YH     18/08/16 squash unused variable compiler warning
    1.2   YH     16/01/18 Added bridge unlock interrupt
    1.3   MMO    11/08/18 Added bridge overflow and underflow interrupt

## Functions
void | XV_HdmiTx_IntrHandler (void *InstancePtr)
| This function is the interrupt handler for the HDMI TX driver. More...
int | XV_HdmiTx_SetCallback (XV_HdmiTx *InstancePtr, XV_HdmiTx_HandlerType HandlerType, void *CallbackFunc, void *CallbackRef)
| This function installs an asynchronous callback function for the given HandlerType: More...

## Function Documentation

void XV_HdmiTx_IntrHandler | ( | void * | InstancePtr | ) |

This function is the interrupt handler for the HDMI TX driver.

This handler reads the pending interrupt from PIO and DDC peripheral, determines the source of the interrupts, clears the interrupts and calls callbacks accordingly.

The application is responsible for connecting this function to the interrupt system. Application beyond this driver is also responsible for providing callbacks to handle interrupts and installing the callbacks using XV_HdmiTx_SetCallback() during initialization phase. An example delivered with this driver demonstrates how this could be done.

Parameters

  InstancePtr | is a pointer to the XV_HdmiTx instance that just interrupted.

Returns
  None.

Note
  None.

References XV_HdmiTx_Config::BaseAddress, XV_HdmiTx::Config, XV_HdmiTx::IsReady, XV_HDMITX_DDC_STA_IRQ_MASK, XV_HDMITX_DDC_STA_OFFSET, XV_HDMITX_PIO_STA_IRQ_MASK, XV_HDMITX_PIO_STA_OFFSET, and XV_HdmiTx_ReadReg.

int XV_HdmiTx_SetCallback | ( | XV_HdmiTx * | InstancePtr,
|  | XV_HdmiTx_HandlerType | HandlerType,
|  | void * | CallbackFunc,
|  | void * | CallbackRef
| ) |  |

This function installs an asynchronous callback function for the given HandlerType:

    HandlerType              Callback Function Type
    -----------------------  --------------------------------------------------
    (XV_HDMITX_HANDLER_HPD)   HpdCallback
    (XV_HDMITX_HANDLER_VS)    VsCallback

Parameters

  InstancePtr | is a pointer to the HDMI TX core instance.
  HandlerType | specifies the type of handler.
  CallbackFunc | is the address of the callback function.
  CallbackRef | is a user data item that will be passed to the callback function when it is invoked.

Returns
  - XST_SUCCESS if callback function installed successfully.
  - XST_INVALID_PARAM when HandlerType is invalid.

Note
  Invoking this function for a handler that already has been installed replaces it with the new handler.

References XV_HdmiTx::BrdgOverflowCallback, XV_HdmiTx::BrdgOverflowRef, XV_HdmiTx::BrdgUnderflowCallback, XV_HdmiTx::BrdgUnderflowRef, XV_HdmiTx::BrdgUnlockedCallback, XV_HdmiTx::BrdgUnlockedRef, XV_HdmiTx::ConnectCallback, XV_HdmiTx::ConnectRef, XV_HdmiTx::IsBrdgOverflowCallbackSet, XV_HdmiTx::IsBrdgUnderflowCallbackSet, XV_HdmiTx::IsBrdgUnlockedCallbackSet, XV_HdmiTx::IsConnectCallbackSet, XV_HdmiTx::IsStreamDownCallbackSet, XV_HdmiTx::IsStreamUpCallbackSet, XV_HdmiTx::IsToggleCallbackSet, XV_HdmiTx::IsVsCallbackSet, XV_HdmiTx::StreamDownCallback, XV_HdmiTx::StreamDownRef, XV_HdmiTx::StreamUpCallback, XV_HdmiTx::StreamUpRef, XV_HdmiTx::ToggleCallback, XV_HdmiTx::ToggleRef, XV_HdmiTx::VsCallback, and XV_HdmiTx::VsRef.